# On the Rationale and Use of Assertion Messages in Test Code: Insights from Software Practitioners


The table below describes the artifacts associated with this study.

|      **File**     |                                                                                                          **Purpose**                                                                                                               |
|:-----------------:|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------:|
| SurveyResults.xls | This Excel file contains multiple sheets. The first sheet contains the responses to the survey questions. The second sheet is the summary of the demographic data. The remaining sheets are the analysis for the RQs in the paper  |
| Questionnaire.pdf | This file contains the survey questions in the form they were presented to participants.                                                                                                                                           |
| RQ1.1.pdf         | The Likert figures used in the paper for RQ 1.1                                                                                                                                                                                    |
| *.csv             | These files show the frequency of occurrence for the answer options associated with single-choice and multi-choice questions.                                                                                                      |
| LICENSE.txt       | Open-source license compliant with OSI                                                                                                                                                                                             |

The preprint of the paper is available at [https://arxiv.org/pdf/2408.01751](https://arxiv.org/pdf/2408.01751)